Kaspersky Anti-Spam < 3.0.0 [0278] File Permission Weakness Local Privilege Escalation

Low Nessus Network Monitor Plugin ID 4154

Synopsis

The remote host is vulnerable to a local flaw due to the way that it creates local file permissions.

Description

The remote host is running the Kaspersky Anti-spam server. This version of Kaspersky is vulnerable to a local flaw. Specifically, it is alleged that the application creates local files with permissions that would allow a local attacker the ability to either gain access to confidential data or subvert the integrity of the application. The details of the flaw are currently unknown; however, the vendor has acknowledged the flaw. An attacker exploiting these flaws would need local access to the machine. Successful exploitation would result in the attacker gaining access to confidential data or processes.

Solution

Upgrade to version 3.0.0 [0278] or higher.

See Also

http://www.kaspersky.com/technews?id=203038705

Plugin Details

Severity: Low

ID: 4154

File Name: 4154.prm

Family: CGI

Published: 2007/08/03

Modified: 2016/02/05

Dependencies: 8166

Risk Information

Risk Factor: Low

CVSSv2

Base Score: 1.2

Temporal Score: 0.9

Vector: CVSS2#AV:L/AC:H/Au:N/C:P/I:N/A:N

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSSv3

Base Score: 2.8

Temporal Score: 2.4

Vector: CVSS3#AV:L/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:N

Temporal Vector: CVSS3#E:U/RL:O/RC:C

Reference Information

CVE: CVE-2007-4206

BID: 25189